%define subrel 2

Name: quassel
Version: 0.4.1
Release: %mkrel 1
Summary: A modern, cross-platform, distributed IRC client - This is the monolithic client
Source0: http://quassel-irc.org/pub/quassel-%{version}.tar.bz2
Source1: networks.ini
Group: Networking/IRC
License: GPLv3
URL: http://quassel-irc.org/
BuildRequires: qt4-devel 
BuildRequires: qt4-linguist 
BuildRequires: cmake
BuildRequires: kdelibs4-devel
Requires: quassel-common = %version
BuildRoot: %{_tmppath}/%{name}-root

%description
Quassel IRC is a modern, cross-platform, distributed IRC client, meaning that
one (or multiple) client(s) can attach to and detach from a central core --
much like the popular combination of screen and a text-based IRC client such as
WeeChat, but graphical. In addition to this uniqe feature, we aim to bring a
pleasurable, comfortable chatting experience to all major platforms (including
Linux®, Windows®, and MacOS X® as well as Qtopia-based cell phones and PDAs),
making communication with your peers not only convenient, but also ubiquitous
available.

%files
%defattr(-,root,root)
%{_bindir}/quassel
%{_kde_applicationsdir}/quassel.desktop

#-------------------------------------------------------------------------------

%package common
Group: Networking/IRC
Summary: A modern, cross-platform, distributed IRC client - Common files
Requires: qt4-database-plugin-sqlite
Conflicts: quassel < 0.3.1.20090128-4

%description common
A modern, cross-platform, distributed IRC client - This is client only, depends on a core server.

%files common
%defattr(-,root,root)
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_kde_appsdir}/quassel
%doc AUTHORS ChangeLog README

#-------------------------------------------------------------------------------

%package client
Group: Networking/IRC
Summary: A modern, cross-platform, distributed IRC client - This is client only, depends on a core server
Requires: quassel-common = %version

%description client
A modern, cross-platform, distributed IRC client - This is client only, depends on a core server.

%files client
%defattr(-,root,root)
%{_bindir}/quasselclient
%{_kde_applicationsdir}/quasselclient.desktop

#-------------------------------------------------------------------------------

%package core
Group: Networking/IRC
Summary: A modern, cross-platform, distributed IRC client - This is quassel core server for clients
Requires: quassel-common = %version

%description core
A modern, cross-platform, distributed IRC client - This is quassel core server for clients.

%files core
%defattr(-,root,root)
%{_bindir}/quasselcore

#-------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4 \
    -DWANT_MONO=ON \
    -DWITH_KDE=ON \
    -DEMBED_DATA=OFF
%make

%install
rm -Rf %{buildroot}
%makeinstall_std -C build

# Our own defined networks
rm -f %buildroot/%_datadir/apps/quassel/networks.ini
install -m 644 %{SOURCE1} %buildroot/%_datadir/apps/quassel/

%clean
rm -Rf %{buildroot}



%changelog
* Tue May 26 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-1.2mdv2009.1
- built for updates

* Thu May 21 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.1-1.1mdv2009.1
+ Revision: 378143
- #mandriva-cooker is not for end-user #mandriva is

* Tue Apr 14 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.1-1mdv2009.1
+ Revision: 367244
- Update for upstream bugfix release

* Fri Feb 20 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.0-1mdv2009.1
+ Revision: 343319
- New upstream version

* Thu Feb 12 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.1.20090212-1mdv2009.1
+ Revision: 339758
- Update with daily git

* Fri Jan 30 2009 Funda Wang <fundawang@mandriva.org> 0.3.1.20090128-5mdv2009.1
+ Revision: 335540
- rebuild

* Thu Jan 29 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.1.20090128-4mdv2009.1
+ Revision: 335290
- Add our default channels
- Separate common components
- Separate monolithic and client/core packages, to avoid confuse users in which one should use
- Added missing requires for sqlite qt4 plugin

* Wed Jan 28 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.1.20090128-2mdv2009.1
+ Revision: 334926
- Updating with current quassel git HEAD. Quassel is now the official candidate for kde4 / qt client.

* Sun Jan 18 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1-2mdv2009.1
+ Revision: 331053
- Fix string format error

* Fri Jan 09 2009 Buchan Milne <bgmilne@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 327394
- New version 0.3.1

* Tue Sep 30 2008 Buchan Milne <bgmilne@mandriva.org> 0.3.0.1-1mdv2009.0
+ Revision: 290173
- import quassel


